package com.ruoyi.project.plant.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * OpEx项目跟踪对象 t_mt_opextrack
 *
 * @author ruoyi
 * @date 2021-01-04
 */
public class TMtOpextrack extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 装置 */
    @Excel(name = "装置")
    private String plantCode;

    /** 进行中 */
    @Excel(name = "进行中")
    private Long ongoing;

    /** 已完成 */
    @Excel(name = "已完成")
    private Long finished;

    /** 共计 */
    @Excel(name = "共计")
    private Long totalitem;

    /** 录入日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "录入日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inputdate;

    /** 删除 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建日期 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date updatedate;

    /** 部门 */
    private Long deptId;

    /** 备注 */
    private String remarks;

    /** 会议id */
    private Long meetingId;

    /** 历史 */
    private Long isHis;
    /** 是否更新 */
    private Long isNew;
    /** 年度 */
    @Excel(name = "年度")
    private Long year;

    /** 预计收益 */
    @Excel(name = "预计收益")
    private String benefit;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public Long getIsNew() {
        return isNew;
    }

    public void setIsNew(Long isNew) {
        this.isNew = isNew;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setOngoing(Long ongoing)
    {
        this.ongoing = ongoing;
    }

    public Long getOngoing()
    {
        return ongoing;
    }
    public void setFinished(Long finished)
    {
        this.finished = finished;
    }

    public Long getFinished()
    {
        return finished;
    }
    public void setTotalitem(Long totalitem)
    {
        this.totalitem = totalitem;
    }

    public Long getTotalitem()
    {
        return totalitem;
    }
    public void setInputdate(Date inputdate)
    {
        this.inputdate = inputdate;
    }

    public Date getInputdate()
    {
        return inputdate;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setMeetingId(Long meetingId)
    {
        this.meetingId = meetingId;
    }

    public Long getMeetingId()
    {
        return meetingId;
    }
    public void setIsHis(Long isHis)
    {
        this.isHis = isHis;
    }

    public Long getIsHis()
    {
        return isHis;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setBenefit(String benefit)
    {
        this.benefit = benefit;
    }

    public String getBenefit()
    {
        return benefit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("ongoing", getOngoing())
            .append("finished", getFinished())
            .append("totalitem", getTotalitem())
            .append("inputdate", getInputdate())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("meetingId", getMeetingId())
            .append("isHis", getIsHis())
            .append("year", getYear())
            .append("benefit", getBenefit())
            .toString();
    }
}
